Application A P I
Get node configuration
Returns the Wings configuration payload for a node, including node authentication tokens.
GET
/api/application/nodes/{node_id}/configurationAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
node_id*integer
The node ID.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/application/nodes/1/configuration"{ "debug": false, "uuid": "3d8dd7f9-07a1-4d65-8db0-8c8921f2f4f7", "token_id": "abcdefghijklmnop", "token": "example-node-token", "api": { "host": "0.0.0.0", "port": 8080, "ssl": { "enabled": true, "cert": "/etc/letsencrypt/live/node.example.com/fullchain.pem", "key": "/etc/letsencrypt/live/node.example.com/privkey.pem" }, "upload_limit": 100 }, "system": { "data": "/var/lib/pterodactyl/volumes", "sftp": { "bind_port": 2022 } }, "allowed_mounts": [ "/mnt/shared" ], "remote": "https://panel.example.test"}